using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using jInN;
using java.awt.@event;
using com.jnbridge.jnbcore;
using com.jnbridge.embedding;

namespace DotNet
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		[AsyncCallback("java.awt.event.ActionListener")]
			public class DotNetActionListener : ActionListener
		{
			private java.awt.TextField javaTextBox;
			private TextBox dotNetTextBox;

			public DotNetActionListener(java.awt.TextField jTB, TextBox dNTB)
			{
				javaTextBox = jTB;
				dotNetTextBox = dNTB;
			}

			#region ActionListener Members

			public void actionPerformed(ActionEvent p1)
			{
				string s = javaTextBox.getText();
				dotNetTextBox.Text = s;
			}

			#endregion

		}
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox dotNetTextBox;

		private JavaControl jc;
		private System.Windows.Forms.Panel javaHolder;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

            JavaComponent jcp = new JavaComponent();
			jc = new JavaControl(jcp, 400, 100);
            jcp.addActionListener(new DotNetActionListener(jcp.javaTextBox, dotNetTextBox));
			javaHolder.Controls.Add(jc);
	}

	/// <summary>
	/// Clean up any resources being used.
	/// </summary>
	protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.javaHolder = new System.Windows.Forms.Panel();
            this.label1 = new System.Windows.Forms.Label();
            this.dotNetTextBox = new System.Windows.Forms.TextBox();
            this.SuspendLayout();
            // 
            // javaHolder
            // 
            this.javaHolder.Location = new System.Drawing.Point(8, 16);
            this.javaHolder.Name = "javaHolder";
            this.javaHolder.Size = new System.Drawing.Size(400, 100);
            this.javaHolder.TabIndex = 0;
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(8, 208);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(216, 23);
            this.label1.TabIndex = 1;
            this.label1.Text = "From Java:";
            // 
            // dotNetTextBox
            // 
            this.dotNetTextBox.Location = new System.Drawing.Point(8, 240);
            this.dotNetTextBox.Name = "dotNetTextBox";
            this.dotNetTextBox.Size = new System.Drawing.Size(432, 20);
            this.dotNetTextBox.TabIndex = 2;
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(456, 294);
            this.Controls.Add(this.dotNetTextBox);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.javaHolder);
            this.Name = "Form1";
            this.Text = "Form1";
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
